Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drupal.project.async_command
Class BatchUploader

    java.lang.Object
      java.lang.Thread
          org.drupal.project.async_command.BatchUploader

All Implemented Interfaces:
  java.lang.Runnable

    public class BatchUploader

extends java.lang.Thread

This is thread that upload data through JDBC concurrently. TODO: submit this to commons.dbutils.

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`BatchUploader(java.lang.String threadName, java.sql.Connection connection, java.lang.String sql)` Equivalent to BatchUploader(null, threadName, connection, sql, 0)
`BatchUploader(java.lang.ThreadGroup threadGroup, java.lang.String threadName, java.sql.Connection connection, java.lang.String sql, int batchSize)` Initialize the BatchUploader.

Method Summary
`void` | `accomplish()`
`void` | `put(java.lang.Object... row)`
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BatchUploader

    public BatchUploader(java.lang.String threadName,
                         java.sql.Connection connection,
                         java.lang.String sql)

  Equivalent to BatchUploader(null, threadName, connection, sql, 0)

  Parameters:
    `threadName` -
    `connection` -
    `sql` -

### BatchUploader

    public BatchUploader(java.lang.ThreadGroup threadGroup,
                         java.lang.String threadName,
                         java.sql.Connection connection,
                         java.lang.String sql,
                         int batchSize)

  Initialize the BatchUploader.

  Parameters:
    `threadGroup` - The thread group this thread is associated with.
    `threadName` - A name for this BatchUploader for identification purpose in multi-threading environment. Could be null.
    `connection` - The connection to the Drupal database.
    `sql` - The full SQL for this BatchUploader. Use d() to parse any tables enclosed with {}.
    `batchSize` -

Method Detail

### put

    public void put(java.lang.Object... row)

### accomplish

    public void accomplish()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD